Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1487403 - Provide a branded satellite-maintain script
Summary: Provide a branded satellite-maintain script
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Foreman Maintain
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks: 1496794 1656043
TreeView+ depends on / blocked
 
Reported: 2017-08-31 19:16 UTC by Eric Helms
Modified: 2019-10-18 12:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
For branding purposes, the satellite-maintain alias has been added for the foreman-maintain utility.
Clone Of:
: 1656043 (view as bug list)
Environment:
Last Closed: 2018-12-17 20:22:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Eric Helms 2017-08-31 19:16:41 UTC
This is a request to provide a branding of foreman_maintain to satellite-maintain to stick with the branding theme and make it more discoverable for users who know Satellite naming.

Comment 2 Ivan Necas 2017-09-01 12:05:47 UTC
I think we should think more about how we want to do that. Is the request only a symlink + knowing how the script was called when when printing out messages or are we talking about full branding, renaming everything and re-packaging foreman_maintain (which is a gem) into satellite_maintain?

I'm ok with providing satellite-maintain symlink directly in the upstream, but I would not recommend getting more sophisticated than that. There has been a lot of confusion when we change the naming upstream vs. downstream.

Comment 3 Ivan Necas 2017-09-01 12:10:00 UTC
Btw. keep in mind that there is also /etc/foreman-maintain /var/log/foreman-maintain and and the package name itself. I vote for not having them touched by the branding.

Comment 4 Ivan Necas 2017-09-01 12:22:23 UTC
Regarding packaging:

Would it make sense to provide `satellite-maintain` package, that would provide the aliases + strict dependency on specific foreman_maintain package? This way, it would be clear which where the satellite-maintain executable comes from, while keeping upstream packages untouched. It would also allow for the users to run `yum update satellite-maintain` and the dependencies would tell what exactly is the version of foreman-maintain we support downstream.

Comment 5 Bryan Kearney 2018-09-04 17:42:33 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 11 Mike McCune 2018-12-17 20:22:48 UTC
after some discussion going to close this out and just deliver this in 6.5

https://bugzilla.redhat.com/show_bug.cgi?id=1656043


Note You need to log in before you can comment on or make changes to this bug.